## Class Void

    java.lang.Object
      |
      +--Type
            |
            +--RefType
                  |
                  +--Void

public class Void
extends RefType

Field Summary
`private java.lang.String` `name`

Fields inherited from class RefType
``

Fields inherited from class Type
`hamaDebug, type, used`

Constructor Summary
`Void()`

Method Summary
`java.lang.String` `get_Name()`
`void` `set_Name(java.lang.String nam)`

Methods inherited from class RefType
`add_Parameter, get_ParaList, get_Type, getParaN, getTypeName, isTV, set_ParaList`

Methods inherited from class Type
`get_codegen_Type, get_UsedId, set_Type, set_UsedId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    private java.lang.String name

Constructor Detail

### Void

    public Void()

Method Detail

### set_Name

    public void set_Name(java.lang.String nam)

### get_Name

    public java.lang.String get_Name()

  Overrides:
    `get_Name` in class `Type`